airflow-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bo...@apache.org
Subject [3/5] incubator-airflow git commit: [AIRFLOW-740] Pin jinja2 to < 2.9.0
Date Sat, 07 Jan 2017 18:57:06 GMT
[AIRFLOW-740] Pin jinja2 to < 2.9.0

Jinja2 2.9.1 seems to have a conflict with flask-admin.


Project: http://git-wip-us.apache.org/repos/asf/incubator-airflow/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-airflow/commit/19ed9001
Tree: http://git-wip-us.apache.org/repos/asf/incubator-airflow/tree/19ed9001
Diff: http://git-wip-us.apache.org/repos/asf/incubator-airflow/diff/19ed9001

Branch: refs/heads/v1-8-test
Commit: 19ed9001b965066b16bd4b6282e64aa6dba846cc
Parents: 6c5109b
Author: Bolke de Bruin <bolke@xs4all.nl>
Authored: Sat Jan 7 19:33:08 2017 +0100
Committer: Bolke de Bruin <bolke@xs4all.nl>
Committed: Sat Jan 7 19:53:01 2017 +0100

----------------------------------------------------------------------
 scripts/ci/requirements.txt | 2 +-
 setup.py                    | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-airflow/blob/19ed9001/scripts/ci/requirements.txt
----------------------------------------------------------------------
diff --git a/scripts/ci/requirements.txt b/scripts/ci/requirements.txt
index 7ea2b26..446952b 100644
--- a/scripts/ci/requirements.txt
+++ b/scripts/ci/requirements.txt
@@ -26,7 +26,7 @@ hive-thrift-py
 impyla
 ipython
 jaydebeapi
-jinja2
+jinja2<2.9.0
 ldap3
 lxml
 markdown

http://git-wip-us.apache.org/repos/asf/incubator-airflow/blob/19ed9001/setup.py
----------------------------------------------------------------------
diff --git a/setup.py b/setup.py
index 3aa9ef8..7acc90f 100644
--- a/setup.py
+++ b/setup.py
@@ -205,7 +205,7 @@ def do_setup():
             'future>=0.15.0, <0.16',
             'gitpython>=2.0.2',
             'gunicorn>=19.3.0, <19.4.0',  # 19.4.? seemed to have issues
-            'jinja2>=2.7.3, <3.0',
+            'jinja2>=2.7.3, <2.9.0',
             'lxml>=3.6.0, <4.0',
             'markdown>=2.5.2, <3.0',
             'pandas>=0.17.1, <1.0.0',


Mime
View raw message